/************************************************************************
    MeOS - Orienteering Software
    Copyright (C) 2009-2014 Melin Software HB
    
    This program is free software: you can redistribute it and/or modify
    it under the terms of the GNU General Public License as published by
    the Free Software Foundation, either version 3 of the License, or
    (at your option) any later version.

    This program is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.

    You should have received a copy of the GNU General Public License
    along with this program.  If not, see <http://www.gnu.org/licenses/>.

    Melin Software HB - software@melin.nu - www.melin.nu
    Stigbergsvgen 7, SE-75242 UPPSALA, Sweden
    
************************************************************************/
#include "stdafx.h"
#include <vector>

//ABCDEFGHIJKLMNO
//V2: ABCDEFGHIHJKMN
//V31: a
int getMeosBuild() {
  string revision("$Rev: 209 $");
  return 174 + atoi(revision.substr(5, string::npos).c_str());
}

//ABCDEFGHIJKILMNOPQRSTUVXYZabcdefghijklmnopqrstuvxyz
//V2: abcdefgh
//V3: abcdefghijklmnopqrstuvxyz
//V31: abc
string getMeosDate() {
  string date("$Date: 2014-04-30 22:11:15 +0200 (on, 30 apr 2014) $");
  return date.substr(7,10);
}

string getBuildType() {
  return "";
}

string getMeosFullVersion() {
  char bf[256];
  if (getBuildType().empty())
    sprintf_s(bf, "Version X#3.1.%d, %s", getMeosBuild(), getMeosDate().c_str());
  else
    sprintf_s(bf, "Version X#3.1.%d, %s %s", getMeosBuild(), getBuildType().c_str(), getMeosDate().c_str());
  return bf;
}

string getMeosCompectVersion() {
  char bf[256];
  if (getBuildType().empty())
    sprintf_s(bf, "3.1.%d", getMeosBuild());
  else
    sprintf_s(bf, "3.1.%d (%s)", getMeosBuild(), getBuildType().c_str());
  return bf;
}

void getSupporters(vector<string> &supp) 
{
  supp.push_back("Centrum OK");
  supp.push_back("Ove Persson, Pite IF");
  supp.push_back("OK Rodhen");
  supp.push_back("Tby Extreme Challenge");
  supp.push_back("Thomas Engberg, VK Uvarna");
  supp.push_back("Eilert Edin, Sidensj IK");
  supp.push_back("Gran Nordh, Trollhttans SK");
  supp.push_back("Roger Gustavsson, OK Tisaren");
  supp.push_back("Sundsvalls OK");
  supp.push_back("OK Gipens OL-skytte");
  supp.push_back("Helsingborgs SOK");
  supp.push_back("OK Gipens OL-skytte");
  supp.push_back("Rune Thurn, Vallentuna-sseby OL");
  supp.push_back("Roland Persson, Kalmar OK");
  supp.push_back("Robert Jessen, Frmmestads IK");  
  supp.push_back("Almby IK, rebro");
  supp.push_back("Peter Rydester, Rehns BK");
  supp.push_back("IK Hakarpspojkarna");
  supp.push_back("Rydboholms SK");
  supp.push_back("IFK Kiruna");
  supp.push_back("Peter Andersson, Sders SOL");
  supp.push_back("Bjrkfors GoIF");
  supp.push_back("OK Ziemelkurzeme");
  supp.push_back("Big Foot Orienteers");
  supp.push_back("FIF Hillerd");
  supp.push_back("Anne Udd");
  supp.push_back("OK Orinto");
  supp.push_back("SOK Trff");
  supp.push_back("Gamleby OK");
  supp.push_back("Vnersborgs SK");
  supp.push_back("Henrik Ortman, Vsters SOK");
  supp.push_back("Leif Olofsson, Sjuntorp");
  supp.push_back("Vallentuna/sseby OL");
  supp.push_back("Oskarstrm OK");
  supp.push_back("Skogslparna");
  supp.push_back("OK Milan");
  supp.push_back("GoIF Tjalve");
  supp.push_back("OK Skrmen");
  supp.push_back("stkredsen");
  supp.push_back("Holbk Orienteringsklub");
  supp.push_back("Bodens BK");
  supp.push_back("OK Tyr, Karlstad");
  supp.push_back("Gteborg-Majorna OK");
  supp.push_back("OK Jrnbrarna, Kopparberg");
}
 